## org.apache.batik.gvt.font
Interface GVTFontFamily

All Known Implementing Classes:
  AWTFontFamily, SVGFontFamily, UnresolvedFontFamily

public interface GVTFontFamily

An interface for all font family classes.

Method Summary
`GVTFont` `deriveFont(float size, java.text.AttributedCharacterIterator aci)` Derives a GVTFont object of the correct size.
`java.lang.String` `getFamilyName()` Returns the font family name.
`GVTFontFace` `getFontFace()` Returns the FontFace for this fontFamily instance.

Method Detail

### getFamilyName

    public java.lang.String getFamilyName()

  Returns the font family name.

  Returns:
    The family name.

### getFontFace

    public GVTFontFace getFontFace()

  Returns the FontFace for this fontFamily instance.

### deriveFont

    public GVTFont deriveFont(float size,
                              java.text.AttributedCharacterIterator aci)

  Derives a GVTFont object of the correct size.

  Parameters:
    `size` - The required size of the derived font.
    `aci` - The character iterator that will be rendered using the derived font.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.